Package ghidra.features.bsim.query.description

# Class DatabaseInformation

java.lang.Object
ghidra.features.bsim.query.description.DatabaseInformation

public class DatabaseInformation extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `databasename`
  `String`
  `dateColumnName`
  `String`
  `description`
  `List<String>`
  `execats`
  `List<String>`
  `functionTags`
  `int`
  `layout_version`
  `short`
  `major`
  `short`
  `minor`
  `String`
  `owner`
  `boolean`
  `readonly`
  `int`
  `settings`
  `boolean`
  `trackcallgraph`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatabaseInformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `checkSignatureSettings(short maj, short min, int set)`
  `boolean`
  `equals(Object obj)`
  `void`
  `restoreXml(XmlPullParser parser)`
  `void`
  `saveXml(Writer write)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### databasename

    public String databasename

  - ### owner

    public String owner

  - ### description

    public String description

  - ### major

    public short major

  - ### minor

    public short minor

  - ### settings

    public int settings

  - ### execats

    public List<String> execats

  - ### functionTags

    public List<String> functionTags

  - ### dateColumnName

    public String dateColumnName

  - ### layout_version

    public int layout_version

  - ### readonly

    public boolean readonly

  - ### trackcallgraph

    public boolean trackcallgraph

- ## Constructor Details

  - ### DatabaseInformation

    public DatabaseInformation()

- ## Method Details

  - ### saveXml

    public void saveXml(Writer write) throws IOException
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser)

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### checkSignatureSettings

    public int checkSignatureSettings(short maj, short min, int set)